summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorGeorge Shapovalov <george@gentoo.org>2007-05-18 13:50:21 +0000
committerGeorge Shapovalov <george@gentoo.org>2007-05-18 13:50:21 +0000
commit050e2cda5a703a7f22d1287db8796f950632722c (patch)
tree5905c98b053c147043a11c19eca69847527eea40 /eclass
parentRemove, bug 145858 (diff)
downloadgentoo-2-050e2cda5a703a7f22d1287db8796f950632722c.tar.gz
gentoo-2-050e2cda5a703a7f22d1287db8796f950632722c.tar.bz2
gentoo-2-050e2cda5a703a7f22d1287db8796f950632722c.zip
reverted some ${D}${D} trickery. Not necessary any longer and now causes problems (#178140)
Diffstat (limited to 'eclass')
-rw-r--r--eclass/gnatbuild.eclass16
1 files changed, 9 insertions, 7 deletions
diff --git a/eclass/gnatbuild.eclass b/eclass/gnatbuild.eclass
index 757476a67d8e..0aea8fcef407 100644
--- a/eclass/gnatbuild.eclass
+++ b/eclass/gnatbuild.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnatbuild.eclass,v 1.26 2007/05/15 14:05:17 george Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnatbuild.eclass,v 1.27 2007/05/18 13:50:21 george Exp $
#
# Author: George Shapovalov <george@gentoo.org>
# Belongs to: ada herd <ada@gentoo.org>
@@ -571,13 +571,15 @@ gnatbuild_src_install() {
done
- # The install itself. Straight make DESTDIR=${D} install causes access
- # violation (unlink of gprmake). A siple workaround for now.
cd "${GNATBUILD}"
- make DESTDIR=${D} bindir="${D}${BINPATH}" install || die
- mv "${D}${D}${PREFIX}/${CTARGET}" "${D}${PREFIX}" \
- || die "please post the fialed mv line to #178140"
- rm -rf "${D}var"
+ make DESTDIR=${D} install || die
+# # The install itself. Straight make DESTDIR=${D} install causes access
+# # violation (unlink of gprmake). A siple workaround for now.
+# cd "${GNATBUILD}"
+# make DESTDIR=${D} bindir="${D}${BINPATH}" install || die
+# mv "${D}${D}${PREFIX}/${CTARGET}" "${D}${PREFIX}" \
+# || die "please post the fialed mv line to #178140"
+# rm -rf "${D}var"
#make a convenience info link
dosym ${DATAPATH}/info/gnat_ugn_unw.info ${DATAPATH}/info/gnat.info